%global base_name       io
%global short_name      commons-%{base_name}

Name:             apache-%{short_name}
Version:          2.4
Release:          %mkrel 2
Epoch:            1
Summary:          Utilities to assist with developing IO functionality
License:          ASL 2.0
Group:            Development/Java
URL:              http://commons.apache.org/%{base_name}
Source0:          http://archive.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz
BuildArch:        noarch

BuildRequires:    java-devel >= 0:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    junit4
BuildRequires:    maven
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    apache-commons-parent

Requires:         java >= 0:1.6.0
Requires:         jpackage-utils

%description
Commons-IO contains utility classes, stream implementations,
file filters, and endian classes. It is a library of utilities
to assist with developing IO functionality.

%package javadoc
Summary:          API documentation for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{short_name}-%{version}-src
sed -i 's/\r//' *.txt

%build
mvn-rpmbuild install javadoc:javadoc

%install

# jars
install -d -m 755 %{buildroot}%{_javadir}
install -p -m 644 target/%{short_name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
ln -sf %{name}.jar %{buildroot}%{_javadir}/%{short_name}.jar

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{short_name}.pom
%add_maven_depmap JPP-%{short_name}.pom %{short_name}.jar -a "org.apache.commons:commons-io"

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt
%{_javadir}/*.jar
%{_mavenpomdir}/JPP-%{short_name}.pom
%{_mavendepmapfragdir}/*

%files javadoc
%doc LICENSE.txt NOTICE.txt
%doc %{_javadocdir}/%{name}



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1:2.4-2.mga3
+ Revision: 345745
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 dmorgan <dmorgan> 1:2.4-1.mga3
+ Revision: 289701
- New version 2.4

* Mon Jul 16 2012 dmorgan <dmorgan> 1:2.1-1.mga3
+ Revision: 271292
- New version 2.1

* Sat Jul 23 2011 dmorgan <dmorgan> 1:2.0.1-4.mga3
+ Revision: 128024
- Fix build with maven3
    - Use new add_maven_depmap macro

* Wed Apr 27 2011 dmorgan <dmorgan> 1:2.0.1-3.mga1
+ Revision: 92236
- Rebuild after bootstrapping
- imported package apache-commons-io

